Bug 301241 - Review Request: ladspa-mcp-plugins - A set of audio plugins for LADSPA
Review Request: ladspa-mcp-plugins - A set of audio plugins for LADSPA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 16:23 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-21 16:23:42 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-mcp-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-mcp-plugins-0.3.0-4.fc8.src.rpm
Description:
A set of audio plugins for LADSPA by Fons Adriaensen.
Currently contains a phaser, a chorus and a moog vcf.
Comment 1 Parag AN(पराग) 2007-09-23 23:27:06 EDT
is this package(mcp-plugins) before part of any repository?
I saw this is initial submission to fedora and you used Epoch. 
Comment 2 Hans de Goede 2007-09-24 02:55:52 EDT
Yes, it has been part of CCRMA for quite a while (as is clearly indicated in the
changelog). All my current audio tools work mainly consists of making CCRMA
package meet the guidelines and submitting them, see:
http://fedoraproject.org/wiki/SIGs/AudioCreation
Comment 3 Hans de Goede 2007-09-24 02:56:39 EDT
p.s.

Many thanks for all the ladspa reviews, you rock!
Comment 4 Parag AN(पराग) 2007-09-24 03:00:57 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
47a4edef1d6062803c35de7dd81ebbd6  MCP-plugins-0.3.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge ladspa-mcp-plugins-0.3.0-4.fc8 ->
  Provides: cs_chorus.so cs_phaser.so mcp-plugins = 0.3.0-4.fc8 mvchpf24.so
mvclpf24.so
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libm.so.6(GLIBC_2.0)
libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI app.
APPROVED.


>> Many thanks for all the ladspa reviews, you rock!
 You welcome :)
Comment 5 Hans de Goede 2007-09-24 04:01:23 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      ladspa-mcp-plugins
Short Description: A set of audio plugins for LADSPA
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes

Comment 6 Kevin Fenzi 2007-09-24 12:37:44 EDT
cvs done.
Comment 7 Hans de Goede 2007-09-24 14:02:15 EDT
Imported and build for devel and F-7, request push as F-7 update.

Note You need to log in before you can comment on or make changes to this bug.